    One-dimensional sine function.

sin
>>> create_model_component("sin", "mdl")
>>> print(mdl)

Create a component of the sin model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.period thawed 1 1e-10 10 mdl.offset thawed 0 0 3.40282e+38 mdl.ampl thawed 1 1e-05 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
period
The period of the sine, in units of the independent axis.
offset
The offset (related to the phase) of the sine.
ampl
The amplitude of the sine.

Notes

The functional form of the model for points is:

f(x) = ampl * sin (2 * pi * (x - offset) / period)

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023